## geoalchemy2 0.4.2

=== requirements.txt ===
# Install geoalchemy2 package
-e .

# Additional requirements for running the testsuite and development
pycodestyle==2.2.0
flake8==3.2.0
pytest==3.1.3
pytest-cov==2.5.1

Shapely>=1.3.0

=== debian/changelog ===
geoalchemy2 (0.4.2-1) unstable; urgency=low

  * Initial release. (Closes: #898490)

 -- Edward Betts <edward@4angle.com>  Fri, 11 May 2018 18:00:00 +0100

=== debian/control ===
Source: geoalchemy2
Maintainer: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               postgis,
               postgresql-10-postgis-2.4,
               postgresql-10-postgis-2.4-scripts,
               python3-all,
               python3-psycopg2,
               python3-pytest,
               python3-setuptools,
               python3-shapely,
               python3-sqlalchemy
Standards-Version: 4.1.4
Homepage: http://geoalchemy.org/
Vcs-Browser: https://salsa.debian.org/python-team/modules/geoalchemy2
Vcs-Git: https://salsa.debian.org/python-team/modules/geoalchemy2.git

Package: python3-geoalchemy2
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: postgis
Description: SQLAlchemy extension for spatial databases using PostGIS
 GeoAlchemy 2 provides extensions to SQLAlchemy for working with spatial
 databases.
 .
 The only SQL dialect supported by GeoAlchemy 2 is PostgreSQL/PostGIS.

=== debian/tests/control ===
Tests: setup-db-and-run-tests.py
Depends: @, postgis, postgresql-10-postgis-2.4, postgresql-10-postgis-2.4-scripts, python3-psycopg2, python3-pytest, python3-shapely, python3-sqlalchemy

## geoalchemy2 0.5.0

=== requirements.txt ===
# Install geoalchemy2 package
-e .

# Additional requirements for running the testsuite and development
pycodestyle==2.2.0
flake8==3.2.0
pytest==3.6.0
pytest-cov==2.5.1

Shapely>=1.3.0

=== debian/changelog ===
geoalchemy2 (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Update standards version, no changes
  * debian/control: correct Maintainer and Uploaders

 -- Edward Betts <edward@4angle.com>  Thu, 08 Nov 2018 17:49:56 +0000

geoalchemy2 (0.4.2-2) unstable; urgency=medium

  * Team upload.
  * Change Build-Depends from postgresql-10-postgis-2.4 to
    postgresql-11-postgis-2.5; change Test dependencies to unversioned
    virtual packages.

 -- Christoph Berg <myon@debian.org>  Thu, 01 Nov 2018 22:29:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: geoalchemy2
-Maintainer: Edward Betts <edward@4angle.com>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Edward Betts <edward@4angle.com>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 11),
                dh-python,
                postgis,
-               postgresql-10-postgis-2.4,
-               postgresql-10-postgis-2.4-scripts,
+               postgresql-11-postgis-2.5 | postgresql-postgis,
+               postgresql-11-postgis-2.5-scripts | postgresql-postgis-scripts,
                python3-all,
                python3-psycopg2,
                python3-pytest,
                python3-setuptools,
                python3-shapely,
                python3-sqlalchemy
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://geoalchemy.org/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/geoalchemy2
 Vcs-Git: https://salsa.debian.org/python-team/modules/geoalchemy2.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=geoalchemy2
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(eval BUILD_DIR=$(shell pybuild --print '{build_dir}'))
	cp -r tests $(BUILD_DIR)
	python3 $(CURDIR)/debian/tests/setup-db-and-run-tests.py
endif

## geoalchemy2 0.6.1

=== debian/changelog ===
geoalchemy2 (0.6.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Update standards version, no changes
  * debian/copyright: Update copyright year

 -- Edward Betts <edward@4angle.com>  Fri, 15 Mar 2019 13:33:48 +0000

## geoalchemy2 0.6.2

=== debian/changelog ===
geoalchemy2 (0.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Edward Betts <edward@4angle.com>  Tue, 14 May 2019 07:05:27 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-setuptools,
                python3-shapely,
                python3-sqlalchemy
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://geoalchemy.org/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/geoalchemy2
 Vcs-Git: https://salsa.debian.org/python-team/modules/geoalchemy2.git

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/geoalchemy2-$1\.tar\.gz/ \
  https://github.com/geoalchemy/geoalchemy2/releases .*/v?(\d\S+)\.tar\.gz

## geoalchemy2 0.6.3

=== requirements.txt ===
# Install geoalchemy2 package
-e .

# Additional requirements for running the testsuite and development
pycodestyle==2.2.0
flake8==3.2.0
pytest==3.7.4
pytest-cov==2.5.1

Shapely>=1.3.0

=== debian/changelog ===
geoalchemy2 (0.6.3-2) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team Upload.
  * d/control: Fix depedencies (Closes: #)49750)
    - Bump  postgresql-11-postgis-2.5 to postgresql-12-postgis-3
    - Bump  postgresql-11-postgis-2.5-scripts to
      postgresql-12-postgis-3-scripts
  * d/gitlab-ci.yml: enable Gitlab CI.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sun, 26 Jan 2020 00:07:51 -0300

geoalchemy2 (0.6.3-1) unstable; urgency=medium

  * New upstream release

 -- Edward Betts <edward@4angle.com>  Sun, 16 Jun 2019 22:19:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Uploaders: Edward Betts <edward@4angle.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
                dh-python,
                postgis,
-               postgresql-11-postgis-2.5 | postgresql-postgis,
-               postgresql-11-postgis-2.5-scripts | postgresql-postgis-scripts,
+               postgresql-12-postgis-3,
+               postgresql-12-postgis-3-scripts,
                python3-all,
                python3-psycopg2,
                python3-pytest,
                python3-setuptools,
                python3-shapely,
                python3-sqlalchemy
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://geoalchemy.org/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/geoalchemy2
 Vcs-Git: https://salsa.debian.org/python-team/modules/geoalchemy2.git

=== debian/tests/control ===
Tests: setup-db-and-run-tests.py
Depends: @, postgis, postgresql-postgis, postgresql-postgis-scripts, python3-psycopg2, python3-pytest, python3-shapely, python3-sqlalchemy

## geoalchemy2 0.7.0

=== requirements.txt ===
# Install geoalchemy2 package
-e .

# Additional requirements for running the testsuite and development
flake8==3.7.9
pytest==3.7.4
pytest-cov==2.5.1

Shapely>=1.3.0, <1.7

=== debian/changelog ===
geoalchemy2 (0.7.0-1) unstable; urgency=medium

  * New upstream release
  * Wrap depends in debian/tests/control
  * Update debhelper compact level
  * Update Standards-Version
  * Set Rules-Requires-Root to no
  * Update copyright year

 -- Edward Betts <edward@4angle.com>  Sun, 22 Mar 2020 07:39:07 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Edward Betts <edward@4angle.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                postgis,
                postgresql-12-postgis-3,
@@ -14,7 +14,8 @@
                python3-setuptools,
                python3-shapely,
                python3-sqlalchemy
-Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: http://geoalchemy.org/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/geoalchemy2
 Vcs-Git: https://salsa.debian.org/python-team/modules/geoalchemy2.git

## geoalchemy2 0.8.4

=== requirements.txt ===
--- 
+++ 
@@ -6,4 +6,5 @@
 pytest==3.7.4
 pytest-cov==2.5.1
 
-Shapely>=1.3.0, <1.7
+Shapely>=1.3.0 ; implementation_name != "pypy"
+Shapely>=1.3.0, !=1.7.0 ; implementation_name == "pypy"

=== debian/changelog ===
geoalchemy2 (0.8.4-3) unstable; urgency=medium

  * Update postgis Build-Depends to use postgresql-13 packages.
  * Add 'Built-Using: ${sphinxdoc:Built-Using}' to python-geoalchemy2-doc.

 -- Edward Betts <edward@4angle.com>  Fri, 30 Oct 2020 20:10:58 +0000

geoalchemy2 (0.8.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Edward Betts ]
  * Postgres refuses to run as root, so skip test suite if running as root.
  * Add details of the sphinx documentation flask theme to debian/copyright.
  * The test suite causes the postgres server to produce errors on stderr
    which can be confusing. Capture stderr and only display if the tests fail.
  * Add debian/upstream/metadata.

 -- Edward Betts <edward@4angle.com>  Tue, 29 Sep 2020 11:57:18 +0100

geoalchemy2 (0.8.4-1) unstable; urgency=medium

  * New upstream release
  * Add new documentation package: python-geoalchemy2-doc
  * Upstream changes mean the test suite now requires the postgis_raster
    extension
  * Add new Build-Depends: dh-sequence-python3, dh-sequence-sphinxdoc,
    python3-setuptools-scm, python3-shapely, and python3-sphinx-gallery
  * Update to debhelper 13
  * Remove GeoAlchemy2.egg-info and .pytest_cache during clean

 -- Edward Betts <edward@4angle.com>  Thu, 03 Sep 2020 14:44:51 +0100

=== debian/control ===
Source: geoalchemy2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               postgis,
               postgresql-13-postgis,
               postgresql-13-postgis-scripts,
               python3-all,
               python3-psycopg2,
               python3-pytest,
               python3-setuptools,
               python3-setuptools-scm,
               python3-shapely,
               python3-sphinx-gallery,
               python3-sqlalchemy
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: http://geoalchemy.org/
Vcs-Browser: https://salsa.debian.org/python-team/packages/geoalchemy2
Vcs-Git: https://salsa.debian.org/python-team/packages/geoalchemy2.git

Package: python3-geoalchemy2
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: postgis
Description: SQLAlchemy extension for spatial databases using PostGIS
 GeoAlchemy 2 provides extensions to SQLAlchemy for working with spatial
 databases.
 .
 The only SQL dialect supported by GeoAlchemy 2 is PostgreSQL/PostGIS.

Package: python-geoalchemy2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: SQLAlchemy extension for spatial databases using PostGIS (Documentation)
 GeoAlchemy 2 provides extensions to SQLAlchemy for working with spatial
 databases.
 .
 The only SQL dialect supported by GeoAlchemy 2 is PostgreSQL/PostGIS.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=geoalchemy2
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf GeoAlchemy2.egg-info .pytest_cache doc/gallery

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(eval BUILD_DIR=$(shell pybuild --print '{build_dir}'))
	cp -r tests $(BUILD_DIR)
	python3 $(CURDIR)/debian/tests/setup-db-and-run-tests.py
endif

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-geoalchemy2 -p python-geoalchemy2-doc
	dh_installdocs -p python3-geoalchemy2

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	cd doc && sphinx-build -bhtml . ../build/html # HTML generator
	# avoid lintian duplicate file warning
	for thumb in build/html/_images/*_thumb.png; do \
		test -f build/html/_images/thumb.png || cp $$thumb build/html/_images/thumb.png; \
	    ln -sf thumb.png $$thumb; \
	done
	rm -rf doc/gallery
endif

## geoalchemy2 0.9.4

=== debian/changelog ===
geoalchemy2 (0.9.4-1) unstable; urgency=medium

  * New upstream release
  * Update homepage URL
  * Update Standards-Version
  * Update copyright year
  * Update debian/watch file format version

 -- Edward Betts <edward@4angle.com>  Mon, 30 Aug 2021 14:32:56 +0100

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                python3-sphinx-gallery,
                python3-sqlalchemy
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-Homepage: http://geoalchemy.org/
+Standards-Version: 4.5.1
+Homepage: https://geoalchemy-2.readthedocs.io/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/geoalchemy2
 Vcs-Git: https://salsa.debian.org/python-team/packages/geoalchemy2.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/geoalchemy2-$1\.tar\.gz/ \
  https://github.com/geoalchemy/geoalchemy2/releases .*/v?(\d\S+)\.tar\.gz

## geoalchemy2 0.10.0

=== debian/changelog ===
geoalchemy2 (0.10.0-1) unstable; urgency=medium

  * New upstream release
  * Remove Built-Using from python-geoalchemy2-doc, because lintian complains.

 -- Edward Betts <edward@4angle.com>  Wed, 29 Dec 2021 08:18:10 +0000

geoalchemy2 (0.9.4-2) unstable; urgency=medium

  [ Edward Betts ]
  * Fix failing tests. (Closes: #997070)
  * Update debian/watch to check github tags instead of releases.
  * Update Standards-Version

  [ Bas Couwenberg ]
  * Use virtual postgis packages to be PG version independent.
    (Closes: #995807)

 -- Edward Betts <edward@4angle.com>  Tue, 09 Nov 2021 14:07:38 +0000

## geoalchemy2 0.10.2

=== requirements.txt ===
# Additional requirements for running the testsuite and development
flake8==3.7.9
pytest==3.7.4
pytest-cov==2.5.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/GeoAlchemy2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/GeoAlchemy2.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/GeoAlchemy2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/GeoAlchemy2"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
geoalchemy2 (0.10.2-1) unstable; urgency=medium

  * New upstream release
  * Update copyright year

 -- Edward Betts <edward@4angle.com>  Tue, 01 Feb 2022 17:20:09 +0000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                dh-sequence-python3,
                dh-sequence-sphinxdoc,
                postgis,
-               postgresql-13-postgis,
-               postgresql-13-postgis-scripts,
+               postgresql-postgis,
+               postgresql-postgis-scripts,
                python3-all,
                python3-psycopg2,
                python3-pytest,
@@ -18,7 +18,7 @@
                python3-sphinx-gallery,
                python3-sqlalchemy
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://geoalchemy-2.readthedocs.io/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/geoalchemy2
 Vcs-Git: https://salsa.debian.org/python-team/packages/geoalchemy2.git
@@ -38,7 +38,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Description: SQLAlchemy extension for spatial databases using PostGIS (Documentation)
  GeoAlchemy 2 provides extensions to SQLAlchemy for working with spatial
  databases.

## geoalchemy2 0.11.1

=== debian/changelog ===
geoalchemy2 (0.11.1-1) unstable; urgency=medium

  * New upstream release
  * Drop 0002-No-Mock-for-shapely-modules.patch: no longer needed
  * Don't include usr/lib/python3/dist-packages/build/tests in package

 -- Edward Betts <edward@4angle.com>  Sat, 12 Mar 2022 11:02:09 +0000

## geoalchemy2 0.12.1

=== debian/changelog ===
geoalchemy2 (0.12.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version
  * Update add version >= 1.4 requirement to python3-sqlalchemy Build-Depends

 -- Edward Betts <edward@4angle.com>  Tue, 12 Jul 2022 10:22:07 +0100

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
                python3-setuptools-scm,
                python3-shapely,
                python3-sphinx-gallery,
-               python3-sqlalchemy
+               python3-sqlalchemy (>= 1.4)
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://geoalchemy-2.readthedocs.io/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/geoalchemy2
 Vcs-Git: https://salsa.debian.org/python-team/packages/geoalchemy2.git

## geoalchemy2 0.12.5

=== requirements.txt ===
# Additional requirements for running the testsuite and development
flake8
pytest
pytest-cov
pytest-html

=== debian/changelog ===
geoalchemy2 (0.12.5-1) unstable; urgency=medium

  * New upstream release
  * Build-Depends: Add <!nocheck> to python3-pytest
  * Build-Depends: Add python3-alembic
  * Update copyright year
  * Update Standards-Version

 -- Edward Betts <edward@4angle.com>  Sun, 15 Jan 2023 21:31:44 +0000

=== debian/rules ===
--- 
+++ 
@@ -30,3 +30,7 @@
 	done
 	rm -rf doc/gallery
 endif
+
+override_dh_install:
+	dh_install
+	rm -rf debian/python3-geoalchemy2/usr/lib/python3/dist-packages/build/tests

=== debian/tests/control ===
Tests: setup-db-and-run-tests.py
Depends: postgis,
         postgresql-postgis,
         postgresql-postgis-scripts,
         python3-psycopg2,
         python3-pytest,
         python3-shapely,
         python3-sqlalchemy,
         @

## geoalchemy2 0.13.2

=== debian/changelog ===
geoalchemy2 (0.13.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 25 Apr 2023 16:14:01 +0200

geoalchemy2 (0.13.1-2) unstable; urgency=medium

  * Include geoalchemy2.dialects in package by patching the setup.py file.
  * Add missing python3-alembic test depends.
  * Skip failing test.
  * Stop ignoring return status of tests.

 -- Edward Betts <edward@4angle.com>  Tue, 28 Mar 2023 11:40:03 +0100

geoalchemy2 (0.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Add PYTHONPATH=$(CURDIR) to sphinx-build in debian/rules.

 -- Edward Betts <edward@4angle.com>  Sat, 18 Mar 2023 07:58:19 +0100

## geoalchemy2 0.13.3

=== debian/changelog ===
geoalchemy2 (0.13.3-2) unstable; urgency=medium

  * Skip tests that fail on big-endian architectures, specifically s390x.
    Upstream is aware of the failing tests. (Closes: #1034304).

 -- Edward Betts <edward@4angle.com>  Wed, 21 Jun 2023 12:11:34 +0100

geoalchemy2 (0.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 23 May 2023 12:49:47 +0100

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,17 @@
                postgis,
                postgresql-postgis,
                postgresql-postgis-scripts,
+               python3-alembic <!nocheck>,
                python3-all,
                python3-psycopg2,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
                python3-shapely,
                python3-sphinx-gallery,
                python3-sqlalchemy (>= 1.4)
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://geoalchemy-2.readthedocs.io/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/geoalchemy2
 Vcs-Git: https://salsa.debian.org/python-team/packages/geoalchemy2.git

=== debian/tests/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Depends: postgis,
          postgresql-postgis,
          postgresql-postgis-scripts,
+         python3-alembic,
          python3-psycopg2,
          python3-pytest,
          python3-shapely,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/geoalchemy2-$1\.tar\.gz/ \
  https://github.com/geoalchemy/geoalchemy2/tags .*/v?(\d\S+)\.tar\.gz

## geoalchemy2 0.14.6

=== debian/changelog ===
geoalchemy2 (0.14.6-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Drop patch to setup.py, no longer required.
  * Add python3-mysqldb and python3-rasterio to Build-Depends and test
    Depends.
  * Update setup-db-and-run-tests.py to run mysql server in addition to
    postgres server.
  * Tests fail with mariadb so Build-Depend on the mysql-client-8.0 and
    mysql-server-8.0 packages.

 -- Edward Betts <edward@4angle.com>  Wed, 06 Mar 2024 16:59:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,17 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                dh-sequence-sphinxdoc,
+               mysql-client-8.0,
+               mysql-server-8.0,
                postgis,
                postgresql-postgis,
                postgresql-postgis-scripts,
                python3-alembic <!nocheck>,
                python3-all,
+               python3-mysqldb <!nocheck>,
                python3-psycopg2,
                python3-pytest <!nocheck>,
+               python3-rasterio <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
                python3-shapely,

=== debian/tests/control ===
Tests: setup-db-and-run-tests.py
Depends: mysql-client-8.0,
         mysql-server-8.0,
         postgis,
         postgresql-postgis,
         postgresql-postgis-scripts,
         python3-alembic,
         python3-mysqldb,
         python3-psycopg2,
         python3-pytest,
         python3-rasterio,
         python3-shapely,
         python3-sqlalchemy,
         @
Restrictions: allow-stderr

## geoalchemy2 0.15.1

=== debian/changelog ===
geoalchemy2 (0.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Add docstrings and type hints for setup-db-and-run-tests.py:
    - Added detailed descriptions to the functions and classes.
    - Included type annotations for better code clarity and type checking.
  * Update package description to reflect support for additional SQL dialects:
    - The updated description now includes SQLite and MySQL along with
      PostgreSQL/PostGIS.
    - Emphasized the capability to integrate spatial data within Python
      applications using SQLAlchemy's ORM.
  * Remove MySQL dependencies and tests:
    - Removed mysql-client-8.0, mysql-server-8.0 and python3-mysqldb from the
      build dependencies.
    - The MySQL tests have been disabled as they are not working with MariaDB,
      and the original mysql-server is not in testing.
  * Reduced the number of skipped tests:
    - Optimized the test suite to minimize the number of skipped tests,
      ensuring more comprehensive test coverage.

 -- Edward Betts <edward@4angle.com>  Sun, 19 May 2024 12:53:18 +0200

=== debian/control ===
Source: geoalchemy2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               postgis,
               postgresql-postgis,
               postgresql-postgis-scripts,
               python3-alembic <!nocheck>,
               python3-all,
               python3-psycopg2,
               python3-pytest <!nocheck>,
               python3-rasterio <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-shapely,
               python3-sphinx-gallery,
               python3-sqlalchemy (>= 1.4)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://geoalchemy-2.readthedocs.io/
Vcs-Browser: https://salsa.debian.org/python-team/packages/geoalchemy2
Vcs-Git: https://salsa.debian.org/python-team/packages/geoalchemy2.git

Package: python3-geoalchemy2
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: postgis
Description: SQLAlchemy extension for spatial databases
 GeoAlchemy 2 extends SQLAlchemy, enabling it to handle spatial databases.
 This toolkit supports various database dialects including PostgreSQL/PostGIS,
 SQLite, and MySQL. By leveraging SQLAlchemy's ORM capabilities, GeoAlchemy 2
 simplifies the integration of spatial data within Python applications.

Package: python-geoalchemy2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: SQLAlchemy extension for spatial databases (Documentation)
 GeoAlchemy 2 extends SQLAlchemy, enabling it to handle spatial databases.
 This toolkit supports various database dialects including PostgreSQL/PostGIS,
 SQLite, and MySQL. By leveraging SQLAlchemy's ORM capabilities, GeoAlchemy 2
 simplifies the integration of spatial data within Python applications.
 .
 This package contains the documentation.

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,5 @@
 Tests: setup-db-and-run-tests.py
-Depends: mysql-client-8.0,
-         mysql-server-8.0,
-         postgis,
+Depends: postgis,
          postgresql-postgis,
          postgresql-postgis-scripts,
          python3-alembic,

## geoalchemy2 0.15.2

=== requirements.txt ===
# Additional requirements for running the testsuite and development
alembic
flake8
mysql
pytest
pytest-cov
pytest-html
pytest-mypy
rasterio

=== debian/changelog ===
geoalchemy2 (0.15.2-2) unstable; urgency=medium

  * Team upload.
  * Autopkgtest still need python3-pkg-resources for this last version.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Feb 2025 15:41:04 +0100

geoalchemy2 (0.15.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update gbp.conf to use pristine-tar by default.
  * Drop support for 32-bit architectures to match postgis.
  * Drop support for big endian architectures where tests fail.
    (closes: #1082933)
  * Bump Standards-Version to 4.7.0, no changes.
  * Add patch to fix privacy-breach-generic Lintian issue.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 17 Oct 2024 06:47:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Uploaders: Edward Betts <edward@4angle.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: architecture-is-64-bit,
+               architecture-is-little-endian,
+               debhelper-compat (= 13),
                dh-sequence-python3,
                dh-sequence-sphinxdoc,
                postgis,
@@ -20,7 +22,7 @@
                python3-sphinx-gallery,
                python3-sqlalchemy (>= 1.4)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://geoalchemy-2.readthedocs.io/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/geoalchemy2
 Vcs-Git: https://salsa.debian.org/python-team/packages/geoalchemy2.git

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 override_dh_auto_build:
 	dh_auto_build
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	cd doc && sphinx-build -bhtml . ../build/html # HTML generator
+	cd doc && PYTHONPATH=$(CURDIR) sphinx-build -bhtml . ../build/html # HTML generator
 	# avoid lintian duplicate file warning
 	for thumb in build/html/_images/*_thumb.png; do \
 		test -f build/html/_images/thumb.png || cp $$thumb build/html/_images/thumb.png; \

=== debian/tests/control ===
Tests: setup-db-and-run-tests.py
Depends: architecture-is-64-bit,
         architecture-is-little-endian,
         postgis,
         postgresql-postgis,
         postgresql-postgis-scripts,
         python3-alembic,
         python3-mysqldb,
         python3-pkg-resources,
         python3-psycopg2,
         python3-pytest,
         python3-rasterio,
         python3-shapely,
         python3-sqlalchemy,
         @
Restrictions: allow-stderr
Architecture: !armel !armhf !i386 !s390x

## geoalchemy2 0.18.1

=== debian/changelog ===
geoalchemy2 (0.18.1-1) unstable; urgency=medium

  [ Edward Betts ]
  * New upstream release.
  * Fix non-reproducible build by removing duplicated source tree after tests.
    (Closes: #1122385)
  * Move packages required for tests to Build-Depends-Indep.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update tests to work with MariaDB.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

  [ Bas Couwenberg ]
  * Disable i386 build in Salsa CI.

 -- Edward Betts <edward@4angle.com>  Sat, 27 Dec 2025 10:36:43 +0000

=== debian/control ===
Source: geoalchemy2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
 architecture-is-64-bit,
 architecture-is-little-endian,
Build-Depends-Indep:
 mariadb-server,
 postgis,
 postgresql-postgis,
 postgresql-postgis-scripts,
 python3-alembic <!nocheck>,
 python3-psycopg2,
 python3-pytest <!nocheck>,
 python3-pytest-benchmark <!nocheck>,
 python3-rasterio <!nocheck>,
 python3-shapely,
 python3-sphinx-gallery,
 python3-sqlalchemy (>= 1.4),
Standards-Version: 4.7.3
Homepage: https://geoalchemy-2.readthedocs.io/
Vcs-Browser: https://salsa.debian.org/python-team/packages/geoalchemy2
Vcs-Git: https://salsa.debian.org/python-team/packages/geoalchemy2.git

Package: python3-geoalchemy2
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 postgis,
Description: SQLAlchemy extension for spatial databases
 GeoAlchemy 2 extends SQLAlchemy, enabling it to handle spatial databases.
 This toolkit supports various database dialects including PostgreSQL/PostGIS,
 SQLite, and MySQL. By leveraging SQLAlchemy's ORM capabilities, GeoAlchemy 2
 simplifies the integration of spatial data within Python applications.

Package: python-geoalchemy2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: SQLAlchemy extension for spatial databases (Documentation)
 GeoAlchemy 2 extends SQLAlchemy, enabling it to handle spatial databases.
 This toolkit supports various database dialects including PostgreSQL/PostGIS,
 SQLite, and MySQL. By leveraging SQLAlchemy's ORM capabilities, GeoAlchemy 2
 simplifies the integration of spatial data within Python applications.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -33,4 +33,4 @@
 
 override_dh_install:
 	dh_install
-	rm -rf debian/python3-geoalchemy2/usr/lib/python3/dist-packages/build/tests
+	rm -rf debian/python3-geoalchemy2/usr/lib/python3/dist-packages/build

=== debian/tests/control ===
Tests:
 setup-db-and-run-tests.py,
Depends:
 architecture-is-64-bit,
 architecture-is-little-endian,
 mariadb-server,
 postgis,
 postgresql-postgis,
 postgresql-postgis-scripts,
 python3-alembic,
 python3-mysqldb,
 python3-psycopg2,
 python3-pytest,
 python3-pytest-benchmark,
 python3-rasterio,
 python3-shapely,
 python3-sqlalchemy,
 @,
Restrictions:
 allow-stderr,
Architecture: !armel !armhf !i386 !s390x

## geoalchemy2 0.18.2

=== debian/changelog ===
geoalchemy2 (0.18.2-1) unstable; urgency=medium

  * New upstream release.
  * Add pybuild-plugin-pyproject to Build-Depends.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Mon, 23 Feb 2026 09:46:31 +0000

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
+ architecture-is-64-bit,
+ architecture-is-little-endian,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
- architecture-is-64-bit,
- architecture-is-little-endian,
 Build-Depends-Indep:
  mariadb-server,
  postgis,

=== debian/watch ===
Version: 5

Template: Github
Owner: geoalchemy
Project: geoalchemy2

## geoalchemy2 0.18.3

=== debian/changelog ===
geoalchemy2 (0.18.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 27 Feb 2026 08:52:05 +0000

## geoalchemy2 0.18.4

=== debian/changelog ===
geoalchemy2 (0.18.4-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 03 Mar 2026 09:27:35 +0000
